package com.kurukurupapa.tryandroiddb.top.model;

import com.kurukurupapa.tryandroiddb.db001.DbActivity;
import com.kurukurupapa.tryandroiddb.db002.Db002Activity;
import com.kurukurupapa.tryandroiddb.db003.Db003Activity;
import com.kurukurupapa.tryandroiddb.performance.PerformanceActivity;

public class ItemListFactory {
	public static ItemList getItemList() {
		ItemList itemList = new ItemList();

		itemList.add(new Item("001 Simple", DbActivity.class));
		itemList.add(new Item("002 自作ライブラリでDB操作", Db002Activity.class));
		itemList.add(new Item("003 自作ライブラリ2でDB操作", Db003Activity.class));
		itemList.add(new Item("パフォーマンス測定", PerformanceActivity.class));

		return itemList;
	}

}
